



<input type="text" name="happyinput" disabled/>

<p>Waiting...</p>



<script type="text/javascript">
    var conn = new WebSocket('ws://localhost:8080');
    conn.onopen = function(e) {
        console.log("Connection established!");
        document.querySelector('input').placeholder = "Ready"
        document.querySelector('input').removeAttribute('disabled');
    };

    conn.onmessage = function(e) {
        console.log(e.data);

        document.querySelector('p').innerText = e.data;
    };


    function sendText(event){
        console.log("Send text function");
        const text = event.target.value;
        console.log('send '+ text);
        conn.send(text);
    }

    console.log ("page opened");
    document.querySelector('input').addEventListener('keyup', e => sendText(e));
</script>
